glib-1.2.10

Dan Nicholson dbn.lists at gmail.com
Wed Oct 11 19:51:06 PDT 2006


On 10/11/06, Arnie Stender <astender at aagstender.org> wrote:
>
>     I found another codec that I don't have yet libdv but it needs glib
> and gtk+ 1.2.10. I was told earlier that it would co-exist with and was
> different from V2 of those packages so I decided to compile them. While
> configuring glib I got two lines like:
>
> checking host system type... Invalid configuration
> `x86_64-unknown-linux-gnu': machine `x86_64-unknown' not recognized
>
> checking build system type... Invalid configuration
> `x86_64-unknown-linux-gnu': machine `x86_64-unknown' not recognized

Yeah, glib is so old that the autotools even recognize x86_64. The
scripts config.guess and config.sub are used to figure out
architectures. You have two options. Either copy the ones from
/usr/share/libtool and overwrite them. Or, apply this patch:

http://www.linuxfromscratch.org/patches/downloads/glib/glib-1.2.10-config_update-1.patch

Here's two hints for working with BLFS on non-x86. Look through the
patches repo above for patches for your package. Many patches in the
repo are just additional helpers submitted by people that aren't
applied in the book. Also, look on the wiki. Jim Gifford, Joe Ciccone,
Ken Moffat and some of the other CLFSers will periodically drop fixes
in these two places.

--
Dan



More information about the blfs-support mailing list